# adenocarcinoma disease has location X 

[http://purl.obolibrary.org/obo/mondo/patterns/adenocarcinoma.yaml](http://purl.obolibrary.org/obo/mondo/patterns/adenocarcinoma.yaml)
## Description 

Adenocarcinoma is a common cancer characterized by the presence of malignant glandular cells. This is a design pattern for classes representing adenocarcinomas based on their location. This may be the site of origin, but it can also represent a secondary site for metastatized cancer. We use the generic disease has location relation, which generalized over primary and secondary sites.

Examples: [adenocarcinoma of cervix uteri](http://purl.obolibrary.org/obo/MONDO_0016275), [pituitary adenocarcinoma (disease)](http://purl.obolibrary.org/obo/MONDO_0017582)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
* [https://orcid.org/0000-0001-5208-3432](https://orcid.org/0000-0001-5208-3432) 
## Name 

{[location](http://www.w3.org/2002/07/owl#Thing)} adenocarcinoma

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[location](http://www.w3.org/2002/07/owl#Thing)} adenocarcinoma

* [related_synonym](http://www.geneontology.org/formats/oboInOwl#hasRelatedSynonym): adenocarcinoma of {[location](http://www.w3.org/2002/07/owl#Thing)}

## Definition 

A carcinoma that arises from glandular epithelial cells of the {[location](http://www.w3.org/2002/07/owl#Thing)}

## Equivalent to 

[adenocarcinoma](http://purl.obolibrary.org/obo/MONDO_0004970) and ([disease has location](http://purl.obolibrary.org/obo/RO_0004026) some {[location](http://www.w3.org/2002/07/owl#Thing)})

## Data preview 
| defined_class                                | defined_class_label                  | location                                      | location_label         |
|:---------------------------------------------|:-------------------------------------|:----------------------------------------------|:-----------------------|
| [MONDO:0003853](http://purl.obolibrary.org/obo/MONDO_0003853) | Bartholin gland adenocarcinoma       | [UBERON:0000460](http://purl.obolibrary.org/obo/UBERON_0000460) | major vestibular gland |
| [MONDO:0003410](http://purl.obolibrary.org/obo/MONDO_0003410) | Wolffian duct adenocarcinoma         | [UBERON:0003074](http://purl.obolibrary.org/obo/UBERON_0003074) | mesonephric duct       |
| [MONDO:0016275](http://purl.obolibrary.org/obo/MONDO_0016275) | adenocarcinoma of cervix uteri       | [UBERON:0000002](http://purl.obolibrary.org/obo/UBERON_0000002) | uterine cervix         |
| [MONDO:0018351](http://purl.obolibrary.org/obo/MONDO_0018351) | adenocarcinoma of penis              | [UBERON:0000989](http://purl.obolibrary.org/obo/UBERON_0000989) | penis                  |
| [MONDO:0004173](http://purl.obolibrary.org/obo/MONDO_0004173) | adenocarcinoma of skene gland origin | [UBERON:0010145](http://purl.obolibrary.org/obo/UBERON_0010145) | paraurethral gland     |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/adenocarcinoma.tsv) 
