# autoimmune_inflammation 

[http://purl.obolibrary.org/obo/mondo/patterns/autoimmune_inflammation.yaml](http://purl.obolibrary.org/obo/mondo/patterns/autoimmune_inflammation.yaml)
## Description 

An instance of an autoimmune disease that is described by inflammation in a specific anatomical entity.

Example: [autoimmune thyroid disease](http://purl.obolibrary.org/obo/MONDO_0005623)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
## Name 

autoimmune {[location](http://purl.obolibrary.org/obo/UBERON_0000061)} inflammation

## Definition 

An autoimmune inflammatory disease involving a pathogenic inflammatory response in the {[location](http://purl.obolibrary.org/obo/UBERON_0000061)}.

## Equivalent to 

[autoimmune disease](http://purl.obolibrary.org/obo/MONDO_0007179) and [disease has inflammation site](http://purl.obolibrary.org/obo/RO_0004027) some {[location](http://purl.obolibrary.org/obo/UBERON_0000061)}

## Data preview 
| defined_class                                | defined_class_label        | location                                      | location_label   |
|:---------------------------------------------|:---------------------------|:----------------------------------------------|:-----------------|
| [MONDO:0005623](http://purl.obolibrary.org/obo/MONDO_0005623) | autoimmune thyroid disease | [UBERON:0002046](http://purl.obolibrary.org/obo/UBERON_0002046) | thyroid gland    |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/autoimmune_inflammation.tsv) 
