# carcinoma_in_situ 

[http://purl.obolibrary.org/obo/mondo/patterns/carcinoma_in_situ.yaml](http://purl.obolibrary.org/obo/mondo/patterns/carcinoma_in_situ.yaml)
## Description 

This is a Design pattern for classes representing in situ carcinomas based on their location.

Examples: [breast carcinoma in situ](http://purl.obolibrary.org/obo/MONDO_0004658), [liver carcinoma in situ](http://purl.obolibrary.org/obo/MONDO_0004715)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
* [https://orcid.org/0000-0001-5208-3432](https://orcid.org/0000-0001-5208-3432) 
## Name 

{[location](http://www.w3.org/2002/07/owl#Thing)} carcinoma in situ

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): carcinoma in situ of {[location](http://www.w3.org/2002/07/owl#Thing)}

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): non-invasic {[location](http://www.w3.org/2002/07/owl#Thing)} carcinoma

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): stage 0 {[location](http://www.w3.org/2002/07/owl#Thing)} carcinoma

## Definition 

A carcinoma in situ involving a {[location](http://www.w3.org/2002/07/owl#Thing)}.

## Equivalent to 

[carcinoma in situ](http://purl.obolibrary.org/obo/MONDO_0004647) and [disease has location](http://purl.obolibrary.org/obo/RO_0004026) some {[location](http://www.w3.org/2002/07/owl#Thing)}

## Data preview 
| defined_class                                | defined_class_label          | location                                      | location_label   |
|:---------------------------------------------|:-----------------------------|:----------------------------------------------|:-----------------|
| [MONDO:0004707](http://purl.obolibrary.org/obo/MONDO_0004707) | anal canal carcinoma in situ | [UBERON:0000159](http://purl.obolibrary.org/obo/UBERON_0000159) | anal canal       |
| [MONDO:0000374](http://purl.obolibrary.org/obo/MONDO_0000374) | bile duct carcinoma in situ  | [UBERON:0002394](http://purl.obolibrary.org/obo/UBERON_0002394) | bile duct        |
| [MONDO:0004703](http://purl.obolibrary.org/obo/MONDO_0004703) | bladder carcinoma in situ    | [UBERON:0001255](http://purl.obolibrary.org/obo/UBERON_0001255) | urinary bladder  |
| [MONDO:0004658](http://purl.obolibrary.org/obo/MONDO_0004658) | breast carcinoma in situ     | [UBERON:0000310](http://purl.obolibrary.org/obo/UBERON_0000310) | breast           |
| [MONDO:0000375](http://purl.obolibrary.org/obo/MONDO_0000375) | bronchus carcinoma in situ   | [UBERON:0002185](http://purl.obolibrary.org/obo/UBERON_0002185) | bronchus         |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/carcinoma_in_situ.tsv) 
