# childhood 

[http://purl.obolibrary.org/obo/mondo/patterns/childhood.yaml](http://purl.obolibrary.org/obo/mondo/patterns/childhood.yaml)
## Description 

An instance of a disease that has an onset of signs or symptoms of disease between the age of 1 to 5 years (childhood onset).

Examples: [childhood astrocytic tumor](http://purl.obolibrary.org/obo/MONDO_0002505), [childhood malignant melanoma](http://purl.obolibrary.org/obo/MONDO_0042494)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
* [https://orcid.org/0000-0001-5208-3432](https://orcid.org/0000-0001-5208-3432) 
## Name 

childhood {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)}

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} of childhood

* [related_synonym](http://www.geneontology.org/formats/oboInOwl#hasRelatedSynonym): pediatric {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)}

## Definition 

A {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} that occurs during childhood.

## Equivalent to 

{[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} and [has modifier](http://purl.obolibrary.org/obo/RO_0002573) some [childhood](http://purl.obolibrary.org/obo/HP_0011463)

## Data preview 
| defined_class                                | defined_class_label                       | disease                                      | disease_label                          |
|:---------------------------------------------|:------------------------------------------|:---------------------------------------------|:---------------------------------------|
| [MONDO:0016241](http://purl.obolibrary.org/obo/MONDO_0016241) | alternating hemiplegia of childhood       | [MONDO:0016210](http://purl.obolibrary.org/obo/MONDO_0016210) | alternating hemiplegia                 |
| [MONDO:0016114](http://purl.obolibrary.org/obo/MONDO_0016114) | bulbospinal muscular atrophy of childhood | [MONDO:0016113](http://purl.obolibrary.org/obo/MONDO_0016113) | bulbospinal muscular atrophy           |
| [MONDO:0000870](http://purl.obolibrary.org/obo/MONDO_0000870) | childhood acute lymphoblastic leukemia    | [MONDO:0004967](http://purl.obolibrary.org/obo/MONDO_0004967) | acute lymphoblastic leukemia (disease) |
| [MONDO:0004996](http://purl.obolibrary.org/obo/MONDO_0004996) | childhood acute myeloid leukemia          | [MONDO:0018874](http://purl.obolibrary.org/obo/MONDO_0018874) | acute myeloid leukemia                 |
| [MONDO:0044767](http://purl.obolibrary.org/obo/MONDO_0044767) | childhood adrenal gland pheochromocytoma  | [MONDO:0004974](http://purl.obolibrary.org/obo/MONDO_0004974) | adrenal gland pheochromocytoma         |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/childhood.tsv) 
