# congenital 

[http://purl.obolibrary.org/obo/mondo/patterns/congenital.yaml](http://purl.obolibrary.org/obo/mondo/patterns/congenital.yaml)
## Description 

An instance of a disease in which the disease is present at birth, regardless of cause.

Examples: [congenital agammaglobulinemia](http://purl.obolibrary.org/obo/MONDO_0001902), [congenital nystagmus](http://purl.obolibrary.org/obo/MONDO_0005712)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
* [https://orcid.org/0000-0001-5208-3432](https://orcid.org/0000-0001-5208-3432) 
## Name 

congenital {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)}

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): congenital {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)}

## Definition 

An instance of {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} that is present from birth.

## Equivalent to 

{[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} and [has modifier](http://purl.obolibrary.org/obo/RO_0002573) some [congenital](http://purl.obolibrary.org/obo/MONDO_0021140)

## Data preview 
| defined_class                                | defined_class_label               | disease                                      | disease_label                  |
|:---------------------------------------------|:----------------------------------|:---------------------------------------------|:-------------------------------|
| [MONDO:0001902](http://purl.obolibrary.org/obo/MONDO_0001902) | congenital agammaglobulinemia     | [MONDO:0015977](http://purl.obolibrary.org/obo/MONDO_0015977) | agammaglobulinemia             |
| [MONDO:0000577](http://purl.obolibrary.org/obo/MONDO_0000577) | congenital anemia                 | [MONDO:0002280](http://purl.obolibrary.org/obo/MONDO_0002280) | anemia (disease)               |
| [MONDO:0017375](http://purl.obolibrary.org/obo/MONDO_0017375) | congenital enterovirus infection  | [MONDO:0005747](http://purl.obolibrary.org/obo/MONDO_0005747) | enterovirus infectious disease |
| [MONDO:0004527](http://purl.obolibrary.org/obo/MONDO_0004527) | congenital granular cell tumor    | [MONDO:0006235](http://purl.obolibrary.org/obo/MONDO_0006235) | granular cell tumor            |
| [MONDO:0009332](http://purl.obolibrary.org/obo/MONDO_0009332) | congenital hematological disorder | [MONDO:0005570](http://purl.obolibrary.org/obo/MONDO_0005570) | hematologic disease            |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/congenital.tsv) 
