# infantile 

[http://purl.obolibrary.org/obo/mondo/patterns/infantile.yaml](http://purl.obolibrary.org/obo/mondo/patterns/infantile.yaml)
## Description 

An instance of a disease that has an onset of signs or symptoms of disease within the first 12 months of life (infantile onset).

Examples: [infant botulism](http://purl.obolibrary.org/obo/MONDO_0015804), [infantile glycine encephalopathy](http://purl.obolibrary.org/obo/MONDO_0017354)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
* [https://orcid.org/0000-0001-5208-3432](https://orcid.org/0000-0001-5208-3432) 
## Name 

infantile {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)}

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): infantile onset {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)}

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} of infancy

## Definition 

A {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} that occurs between 28 days to one year of life..

## Equivalent to 

{[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} and [has modifier](http://purl.obolibrary.org/obo/RO_0002573) some [infantile](http://purl.obolibrary.org/obo/HP_0003593)

## Data preview 
| defined_class                                | defined_class_label         | disease                                      | disease_label         |
|:---------------------------------------------|:----------------------------|:---------------------------------------------|:----------------------|
| [MONDO:0000212](http://purl.obolibrary.org/obo/MONDO_0000212) | hypercalcemia, infantile    | [MONDO:0001566](http://purl.obolibrary.org/obo/MONDO_0001566) | hypercalcemia disease |
| [MONDO:0015804](http://purl.obolibrary.org/obo/MONDO_0015804) | infant botulism             | [MONDO:0005498](http://purl.obolibrary.org/obo/MONDO_0005498) | botulism              |
| [MONDO:0016089](http://purl.obolibrary.org/obo/MONDO_0016089) | infantile Krabbe disease    | [MONDO:0009499](http://purl.obolibrary.org/obo/MONDO_0009499) | Krabbe disease        |
| [MONDO:0043555](http://purl.obolibrary.org/obo/MONDO_0043555) | infantile diarrhea          | [MONDO:0001673](http://purl.obolibrary.org/obo/MONDO_0001673) | diarrheal disease     |
| [MONDO:0020071](http://purl.obolibrary.org/obo/MONDO_0020071) | infantile epilepsy syndrome | [MONDO:0015650](http://purl.obolibrary.org/obo/MONDO_0015650) | epilepsy syndrome     |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/infantile.tsv) 
