# infectious_disease_by_agent 

[http://purl.obolibrary.org/obo/mondo/patterns/infectious_disease_by_agent.yaml](http://purl.obolibrary.org/obo/mondo/patterns/infectious_disease_by_agent.yaml)
## Description 

Infectious diseases can be classified by the infectioos agent, such as bacteria, coronavirus, etc, that causes the disease.

Examples: [COVID-19](http://purl.obolibrary.org/obo/MONDO_0100096), [cholera](http://purl.obolibrary.org/obo/MONDO_0015766)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
* [https://orcid.org/0000-0001-5208-3432](https://orcid.org/0000-0001-5208-3432) 
## Name 

{[agent](http://purl.obolibrary.org/obo/NCBITaxon_1)} infectious disease

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): infection due to {[agent](http://purl.obolibrary.org/obo/NCBITaxon_1)}

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[agent](http://purl.obolibrary.org/obo/NCBITaxon_1)} infection

## Definition 

A disease caused by infection with {[agent](http://purl.obolibrary.org/obo/NCBITaxon_1)}.

## Equivalent to 

[infectious disease](http://purl.obolibrary.org/obo/MONDO_0005550) and [disease has infectious agent](http://purl.obolibrary.org/obo/RO_0014001) some {[agent](http://purl.obolibrary.org/obo/NCBITaxon_1)}

## Data preview 
| defined_class                                | defined_class_label                     | agent                                         | agent_label          |
|:---------------------------------------------|:----------------------------------------|:----------------------------------------------|:---------------------|
| [MONDO:0021747](http://purl.obolibrary.org/obo/MONDO_0021747) | Acanthamoeba infectious disease         | [NCBITaxon:5754](http://purl.obolibrary.org/obo/NCBITaxon_5754) | Acanthamoeba         |
| [MONDO:0006635](http://purl.obolibrary.org/obo/MONDO_0006635) | Acinetobacter infectious disease        | [NCBITaxon:469](http://purl.obolibrary.org/obo/NCBITaxon_469)  | Acinetobacter        |
| [MONDO:0006636](http://purl.obolibrary.org/obo/MONDO_0006636) | Actinobacillus infectious disease       | [NCBITaxon:713](http://purl.obolibrary.org/obo/NCBITaxon_713)  | Actinobacillus       |
| [MONDO:0006921](http://purl.obolibrary.org/obo/MONDO_0006921) | Actinomycetales infectious disease      | [NCBITaxon:2037](http://purl.obolibrary.org/obo/NCBITaxon_2037) | Actinomycetales      |
| [MONDO:0005117](http://purl.obolibrary.org/obo/MONDO_0005117) | Aeromonas hydrophila infectious disease | [NCBITaxon:644](http://purl.obolibrary.org/obo/NCBITaxon_644)  | Aeromonas hydrophila |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/infectious_disease_by_agent.tsv) 
