# juvenile 

[http://purl.obolibrary.org/obo/mondo/patterns/juvenile.yaml](http://purl.obolibrary.org/obo/mondo/patterns/juvenile.yaml)
## Description 

An instance of a disease that has an onset of signs or symptoms of disease between the age of 5 and 15 years (juvenile onset).

Examples: [juvenile-onset Parkinson disease](http://purl.obolibrary.org/obo/MONDO_0000828), ['juvenile idiopathic scoliosis'](http://purl.obolibrary.org/obo/MONDO_0100076)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
* [https://orcid.org/0000-0001-5208-3432](https://orcid.org/0000-0001-5208-3432) 
## Name 

juvenile {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)}

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): juvenile {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)}

## Definition 

An instance of {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} that has a juvenile onset.

## Equivalent to 

{[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} and [has modifier](http://purl.obolibrary.org/obo/RO_0002573) some [juvenile](http://purl.obolibrary.org/obo/HP_0003621)

## Data preview 
| defined_class                                | defined_class_label                           | disease                                      | disease_label                   |
|:---------------------------------------------|:----------------------------------------------|:---------------------------------------------|:--------------------------------|
| [MONDO:0020655](http://purl.obolibrary.org/obo/MONDO_0020655) | juvenile ankylosing spondylitis               | [MONDO:0005306](http://purl.obolibrary.org/obo/MONDO_0005306) | ankylosing spondylitis          |
| [MONDO:0003955](http://purl.obolibrary.org/obo/MONDO_0003955) | juvenile breast papillomatosis                | [MONDO:0002063](http://purl.obolibrary.org/obo/MONDO_0002063) | breast papillomatosis           |
| [MONDO:0100076](http://purl.obolibrary.org/obo/MONDO_0100076) | juvenile idiopathic scoliosis                 | [MONDO:0000726](http://purl.obolibrary.org/obo/MONDO_0000726) | idiopathic scoliosis            |
| [MONDO:0009066](http://purl.obolibrary.org/obo/MONDO_0009066) | juvenile nephropathic cystinosis              | [MONDO:0100151](http://purl.obolibrary.org/obo/MONDO_0100151) | nephropathic cystinosis         |
| [MONDO:0003741](http://purl.obolibrary.org/obo/MONDO_0003741) | juvenile type testicular granulosa cell tumor | [MONDO:0003395](http://purl.obolibrary.org/obo/MONDO_0003395) | testicular granulosa cell tumor |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/juvenile.tsv) 
