# lipoma disease has location X 

[http://purl.obolibrary.org/obo/mondo/patterns/lipoma.yaml](http://purl.obolibrary.org/obo/mondo/patterns/lipoma.yaml)
## Description 

A benign, usually painless, well-circumscribed lipomatous tumor composed of adipose tissue that is located in a specific anatomical location.

Examples: [skin lipoma](http://purl.obolibrary.org/obo/MONDO_0000964), [colorectal lipoma](http://purl.obolibrary.org/obo/MONDO_0003885), [tendon sheath lipoma](http://purl.obolibrary.org/obo/MONDO_0004076) (28 total)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
* [https://orcid.org/0000-0001-5208-3432](https://orcid.org/0000-0001-5208-3432) 
## Name 

{[location](http://www.w3.org/2002/07/owl#Thing)} lipoma

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[location](http://www.w3.org/2002/07/owl#Thing)} lipoma

## Definition 

A benign adipose tissue neoplasm of the {[location](http://www.w3.org/2002/07/owl#Thing)}.

## Equivalent to 

[lipoma](http://purl.obolibrary.org/obo/MONDO_0005106) and ([disease has location](http://purl.obolibrary.org/obo/RO_0004026) some {[location](http://www.w3.org/2002/07/owl#Thing)})

## Data preview 
| defined_class                                | defined_class_label           | location                                      | location_label         |
|:---------------------------------------------|:------------------------------|:----------------------------------------------|:-----------------------|
| [MONDO:0000974](http://purl.obolibrary.org/obo/MONDO_0000974) | axillary lipoma               | [UBERON:0009472](http://purl.obolibrary.org/obo/UBERON_0009472) | axilla                 |
| [MONDO:0000970](http://purl.obolibrary.org/obo/MONDO_0000970) | breast lipoma                 | [UBERON:0000310](http://purl.obolibrary.org/obo/UBERON_0000310) | breast                 |
| [MONDO:0003844](http://purl.obolibrary.org/obo/MONDO_0003844) | central nervous system lipoma | [UBERON:0001017](http://purl.obolibrary.org/obo/UBERON_0001017) | central nervous system |
| [MONDO:0003843](http://purl.obolibrary.org/obo/MONDO_0003843) | cerebral hemisphere lipoma    | [UBERON:0001869](http://purl.obolibrary.org/obo/UBERON_0001869) | cerebral hemisphere    |
| [MONDO:0000971](http://purl.obolibrary.org/obo/MONDO_0000971) | chest wall lipoma             | [UBERON:0016435](http://purl.obolibrary.org/obo/UBERON_0016435) | chest wall             |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/lipoma.tsv) 
