# lymphoma disease has location X 

[http://purl.obolibrary.org/obo/mondo/patterns/lymphoma.yaml](http://purl.obolibrary.org/obo/mondo/patterns/lymphoma.yaml)
## Description 

A malignant (clonal) proliferation of B- lymphocytes or T- lymphocytes which involves the lymph nodes, bone marrow and/or extranodal sites. This category includes Non-Hodgkin lymphomas and Hodgkin lymphomas.

Examples: [marginal zone lymphoma](http://purl.obolibrary.org/obo/MONDO_0017604), [ureteral lymphoma](http://purl.obolibrary.org/obo/MONDO_0001977), [colorectal lymphoma](http://purl.obolibrary.org/obo/MONDO_0024656) (37 total)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
* [https://orcid.org/0000-0001-5208-3432](https://orcid.org/0000-0001-5208-3432) 
## Name 

{[location](http://www.w3.org/2002/07/owl#Thing)} lymphoma

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[location](http://www.w3.org/2002/07/owl#Thing)} lymphoma

## Definition 

A lymphoma that involves the {[location](http://www.w3.org/2002/07/owl#Thing)}.

## Equivalent to 

[lymphoma](http://purl.obolibrary.org/obo/MONDO_0005062) and ([disease has location](http://purl.obolibrary.org/obo/RO_0004026) some {[location](http://www.w3.org/2002/07/owl#Thing)})

## Data preview 
| defined_class                                | defined_class_label   | location                                      | location_label                    |
|:---------------------------------------------|:----------------------|:----------------------------------------------|:----------------------------------|
| [MONDO:0007650](http://purl.obolibrary.org/obo/MONDO_0007650) | MALT lymphoma         | [UBERON:0001961](http://purl.obolibrary.org/obo/UBERON_0001961) | mucosa-associated lymphoid tissue |
| [MONDO:0001888](http://purl.obolibrary.org/obo/MONDO_0001888) | anus lymphoma         | [UBERON:0001245](http://purl.obolibrary.org/obo/UBERON_0001245) | anus                              |
| [MONDO:0001237](http://purl.obolibrary.org/obo/MONDO_0001237) | appendix lymphoma     | [UBERON:0001154](http://purl.obolibrary.org/obo/UBERON_0001154) | vermiform appendix                |
| [MONDO:0001381](http://purl.obolibrary.org/obo/MONDO_0001381) | bladder lymphoma      | [UBERON:0001255](http://purl.obolibrary.org/obo/UBERON_0001255) | urinary bladder                   |
| [MONDO:0003661](http://purl.obolibrary.org/obo/MONDO_0003661) | breast lymphoma       | [UBERON:0000310](http://purl.obolibrary.org/obo/UBERON_0000310) | breast                            |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/lymphoma.tsv) 
