# malignant 

[http://purl.obolibrary.org/obo/mondo/patterns/malignant.yaml](http://purl.obolibrary.org/obo/mondo/patterns/malignant.yaml)
## Description 

This is a design pattern for classes representing malignant neoplasms, extending a generic neoplasm class.

Examples: [malignant carotid body paraganglioma](http://purl.obolibrary.org/obo/MONDO_0004650), [malignant germ cell tumor](http://purl.obolibrary.org/obo/MONDO_0006290)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
## Name 

malignant {[neoplasm](http://www.w3.org/2002/07/owl#Thing)}

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[neoplasm](http://www.w3.org/2002/07/owl#Thing)}, malignant

## Definition 

A malignant form of {[neoplasm](http://www.w3.org/2002/07/owl#Thing)}.

## Equivalent to 

{[neoplasm](http://www.w3.org/2002/07/owl#Thing)} and [has modifier](http://purl.obolibrary.org/obo/RO_0002573) some [malignant](http://purl.obolibrary.org/obo/PATO_0002097)

## Data preview 
| defined_class                                | defined_class_label           | neoplasm                                     | neoplasm_label               |
|:---------------------------------------------|:------------------------------|:---------------------------------------------|:-----------------------------|
| [MONDO:0004992](http://purl.obolibrary.org/obo/MONDO_0004992) | cancer                        | [MONDO:0005070](http://purl.obolibrary.org/obo/MONDO_0005070) | neoplasm (disease)           |
| [MONDO:0003113](http://purl.obolibrary.org/obo/MONDO_0003113) | extragonadal germ cell cancer | [MONDO:0018201](http://purl.obolibrary.org/obo/MONDO_0018201) | extragonadal germ cell tumor |
| [MONDO:0003252](http://purl.obolibrary.org/obo/MONDO_0003252) | granular cell cancer          | [MONDO:0006235](http://purl.obolibrary.org/obo/MONDO_0006235) | granular cell tumor          |
| [MONDO:0000377](http://purl.obolibrary.org/obo/MONDO_0000377) | malignant Leydig cell tumor   | [MONDO:0006266](http://purl.obolibrary.org/obo/MONDO_0006266) | Leydig cell tumor            |
| [MONDO:0000378](http://purl.obolibrary.org/obo/MONDO_0000378) | malignant Sertoli cell tumor  | [MONDO:0002696](http://purl.obolibrary.org/obo/MONDO_0002696) | Sertoli cell tumor           |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/malignant.tsv) 
