# melanoma disease has location X 

[http://purl.obolibrary.org/obo/mondo/patterns/melanoma.yaml](http://purl.obolibrary.org/obo/mondo/patterns/melanoma.yaml)
## Description 

 Melanomas are malignant, usually aggressive tumor composed of atypical, neoplastic melanocytes. This is a design pattern for classes representing melanomas based on their location. This may be the site of origin, but it can also represent a secondary site for metastatized cancer. We use the generic 'disease has location' relation, which generalized over primary and secondary sites.

Examples: [cutaneous melanoma](http://purl.obolibrary.org/obo/MONDO_0005012), [malignant breast melanoma](http://purl.obolibrary.org/obo/MONDO_0002975), [malignant melanoma of the mucosa](http://purl.obolibrary.org/obo/MONDO_0015694) (22 total)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
## Name 

{[location](http://www.w3.org/2002/07/owl#Thing)} melanoma

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[location](http://www.w3.org/2002/07/owl#Thing)} melanoma

## Definition 

A melanoma that involves the {[location](http://www.w3.org/2002/07/owl#Thing)}.

## Equivalent to 

[melanoma](http://purl.obolibrary.org/obo/MONDO_0005105) and ([disease has location](http://purl.obolibrary.org/obo/RO_0004026) some {[location](http://www.w3.org/2002/07/owl#Thing)})

## Data preview 
| defined_class                                | defined_class_label          | location                                      | location_label   |
|:---------------------------------------------|:-----------------------------|:----------------------------------------------|:-----------------|
| [MONDO:0006081](http://purl.obolibrary.org/obo/MONDO_0006081) | anal melanoma                | [UBERON:0001245](http://purl.obolibrary.org/obo/UBERON_0001245) | anus             |
| [MONDO:0005012](http://purl.obolibrary.org/obo/MONDO_0005012) | cutaneous melanoma (disease) | [UBERON:0000014](http://purl.obolibrary.org/obo/UBERON_0000014) | zone of skin     |
| [MONDO:0045070](http://purl.obolibrary.org/obo/MONDO_0045070) | digestive system melanoma    | [UBERON:0001007](http://purl.obolibrary.org/obo/UBERON_0001007) | digestive system |
| [MONDO:0001192](http://purl.obolibrary.org/obo/MONDO_0001192) | esophageal melanoma          | [UBERON:0001043](http://purl.obolibrary.org/obo/UBERON_0001043) | esophagus        |
| [MONDO:0000928](http://purl.obolibrary.org/obo/MONDO_0000928) | eyelid melanoma              | [UBERON:0001711](http://purl.obolibrary.org/obo/UBERON_0001711) | eyelid           |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/melanoma.tsv) 
