# meningioma disease has location X 

[http://purl.obolibrary.org/obo/mondo/patterns/meningioma.yaml](http://purl.obolibrary.org/obo/mondo/patterns/meningioma.yaml)
## Description 

A meningioma is a slow growing tumor attached to the dura mater. This is a design pattern for classes representing meningiomas based on their location. This may be the site of origin, but it can also represent a secondary site for metastatized cancer. We use the generic 'disease has location' relation, which generalized over primary and secondary sites.

Examples: [skin meningioma](http://purl.obolibrary.org/obo/MONDO_0004429), [brain meningioma](http://purl.obolibrary.org/obo/MONDO_0000642), [choroid plexus meningioma](http://purl.obolibrary.org/obo/MONDO_0003053) (26 total)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
## Name 

{[location](http://purl.obolibrary.org/obo/UBERON_0001062)} meningioma

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[location](http://purl.obolibrary.org/obo/UBERON_0001062)} meningioma

## Definition 

A meningioma that affects the {[location](http://purl.obolibrary.org/obo/UBERON_0001062)}.

## Equivalent to 

[meningioma](http://purl.obolibrary.org/obo/MONDO_0016642) and ([disease has location](http://purl.obolibrary.org/obo/RO_0004026) some {[location](http://purl.obolibrary.org/obo/UBERON_0001062)})

## Data preview 
| defined_class                                | defined_class_label               | location                                      | location_label         |
|:---------------------------------------------|:----------------------------------|:----------------------------------------------|:-----------------------|
| [MONDO:0002997](http://purl.obolibrary.org/obo/MONDO_0002997) | anterior cranial fossa meningioma | [UBERON:0003720](http://purl.obolibrary.org/obo/UBERON_0003720) | anterior cranial fossa |
| [MONDO:0000642](http://purl.obolibrary.org/obo/MONDO_0000642) | brain meningioma                  | [UBERON:0000955](http://purl.obolibrary.org/obo/UBERON_0000955) | brain                  |
| [MONDO:0002996](http://purl.obolibrary.org/obo/MONDO_0002996) | cavernous sinus meningioma        | [UBERON:0003712](http://purl.obolibrary.org/obo/UBERON_0003712) | cavernous sinus        |
| [MONDO:0003860](http://purl.obolibrary.org/obo/MONDO_0003860) | cerebellopontine angle meningioma | [UBERON:0014908](http://purl.obolibrary.org/obo/UBERON_0014908) | cerebellopontine angle |
| [MONDO:0004422](http://purl.obolibrary.org/obo/MONDO_0004422) | cerebral falx meningioma          | [UBERON:0006059](http://purl.obolibrary.org/obo/UBERON_0006059) | falx cerebri           |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/meningioma.tsv) 
