# neoendocrine_neoplasm 

[http://purl.obolibrary.org/obo/mondo/patterns/neuroendocrine_neoplasm.yaml](http://purl.obolibrary.org/obo/mondo/patterns/neuroendocrine_neoplasm.yaml)
## Description 



Note that tumor is typically a synonym for neoplasm, although this can be context dependent. For neuroendocrine tumors (NETs), NCIT uses the nomenclature 'tumor' to indicate 'well differentiated, low or intermediate grade tumor'. This can also be called carcinoid, see [https://www.cancer.org/cancer/gastrointestinal-carcinoid-tumor/about/what-is-gastrointestinal-carcinoid.html](https://www.cancer.org/cancer/gastrointestinal-carcinoid-tumor/about/what-is-gastrointestinal-carcinoid.html). We attempt to spell this out in our labels.

Examples: [breast neuroendocrine neoplasm](http://purl.obolibrary.org/obo/MONDO_0002485), [digestive system neuroendocrine neoplasm](http://purl.obolibrary.org/obo/MONDO_0024503), [ovarian neuroendocrine neoplasm](http://purl.obolibrary.org/obo/MONDO_0002481)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
## Name 

{[location](http://www.w3.org/2002/07/owl#Thing)} neuroendocrine neoplasm

## Annotations 

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): neuroendocrine neoplasm of {[location](http://www.w3.org/2002/07/owl#Thing)}

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[location](http://www.w3.org/2002/07/owl#Thing)} neuroendocrine tumor, well differentiated, low or intermediate grade

* [related_synonym](http://www.geneontology.org/formats/oboInOwl#hasRelatedSynonym): {[location](http://www.w3.org/2002/07/owl#Thing)} neuroendocrine tumor

* [exact_synonym](http://www.geneontology.org/formats/oboInOwl#hasExactSynonym): {[location](http://www.w3.org/2002/07/owl#Thing)} NET

## Definition 

A neuroendocrine neoplasm involving a {[location](http://www.w3.org/2002/07/owl#Thing)}.

## Equivalent to 

[neuroendocrine neoplasm](http://purl.obolibrary.org/obo/MONDO_0019496) and [disease has location](http://purl.obolibrary.org/obo/RO_0004026) some {[location](http://www.w3.org/2002/07/owl#Thing)}

## Data preview 
| defined_class                                | defined_class_label                | location                                      | location_label     |
|:---------------------------------------------|:-----------------------------------|:----------------------------------------------|:-------------------|
| [MONDO:0003504](http://purl.obolibrary.org/obo/MONDO_0003504) | anal canal neuroendocrine neoplasm | [UBERON:0000159](http://purl.obolibrary.org/obo/UBERON_0000159) | anal canal         |
| [MONDO:0024501](http://purl.obolibrary.org/obo/MONDO_0024501) | appendix neuroendocrine neoplasm   | [UBERON:0001154](http://purl.obolibrary.org/obo/UBERON_0001154) | vermiform appendix |
| [MONDO:0002485](http://purl.obolibrary.org/obo/MONDO_0002485) | breast neuroendocrine neoplasm     | [UBERON:0000310](http://purl.obolibrary.org/obo/UBERON_0000310) | breast             |
| [MONDO:0019963](http://purl.obolibrary.org/obo/MONDO_0019963) | bronchial endocrine tumor          | [UBERON:0002185](http://purl.obolibrary.org/obo/UBERON_0002185) | bronchus           |
| [MONDO:0002882](http://purl.obolibrary.org/obo/MONDO_0002882) | colon neuroendocrine neoplasm      | [UBERON:0001155](http://purl.obolibrary.org/obo/UBERON_0001155) | colon              |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/neuroendocrine_neoplasm.tsv) 
