# disease realized in response to environmental exposure 

[http://purl.obolibrary.org/obo/mondo/patterns/realized_in_response_to_evironmental_exposure.yaml](http://purl.obolibrary.org/obo/mondo/patterns/realized_in_response_to_evironmental_exposure.yaml)
## Description 

This pattern is used for a disease, where the cause of the disease is an exposure to an environmental stimulus (using ECTO exposure terms). Note that this pattern does not include infectious disease or classes that would include an organism, virus or viroid. Rather it includes exposures to chemicals (includng drugs), or mixtures.

Examples: [chemically-induced disorder](http://purl.obolibrary.org/obo/MONDO_0029001), [alcohol amnestic disorder](http://purl.obolibrary.org/obo/MONDO_0021702), [alcoholic polyneuropathy](http://purl.obolibrary.org/obo/MONDO_0006645) (26 total)
## Contributors 
* [https://orcid.org/0000-0002-6601-2165](https://orcid.org/0000-0002-6601-2165) 
* [https://orcid.org/0000-0001-5208-3432](https://orcid.org/0000-0001-5208-3432) 
## Name 

{[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} realized in response to {[exposure](http://purl.obolibrary.org/obo/ExO_0000002)}

## Definition 

Any {[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} that is realized in response to a {[exposure](http://purl.obolibrary.org/obo/ExO_0000002)}

## Equivalent to 

{[disease](http://purl.obolibrary.org/obo/MONDO_0000001)} and ([realized in response to](http://purl.obolibrary.org/obo/RO_0009501) some {[exposure](http://purl.obolibrary.org/obo/ExO_0000002)})

## Data preview 
| defined_class                                | defined_class_label                        | disease                                      | disease_label                | exposure                                    | exposure_label                  |
|:---------------------------------------------|:-------------------------------------------|:---------------------------------------------|:-----------------------------|:--------------------------------------------|:--------------------------------|
| [MONDO:0060781](http://purl.obolibrary.org/obo/MONDO_0060781) | Preeyasombat-Varavithya syndrome           | [MONDO:0001083](http://purl.obolibrary.org/obo/MONDO_0001083) | Fanconi renotubular syndrome | [ECTO:9000364](http://purl.obolibrary.org/obo/ECTO_9000364) | exposure to tetracycline        |
| [MONDO:0003245](http://purl.obolibrary.org/obo/MONDO_0003245) | aflatoxin-related hepatocellular carcinoma | [MONDO:0007256](http://purl.obolibrary.org/obo/MONDO_0007256) | hepatocellular carcinoma     | [ECTO:0001108](http://purl.obolibrary.org/obo/ECTO_0001108) | exposure to aflatoxin           |
| [MONDO:0002046](http://purl.obolibrary.org/obo/MONDO_0002046) | alcohol abuse                              | [MONDO:0002491](http://purl.obolibrary.org/obo/MONDO_0002491) | substance abuse              | [ECTO:0001082](http://purl.obolibrary.org/obo/ECTO_0001082) | exposure to alcohol consumption |
| [MONDO:0021702](http://purl.obolibrary.org/obo/MONDO_0021702) | alcohol amnestic disorder                  | [MONDO:0001152](http://purl.obolibrary.org/obo/MONDO_0001152) | amnestic disorder            | [ECTO:0001082](http://purl.obolibrary.org/obo/ECTO_0001082) | exposure to alcohol consumption |
| [MONDO:0007079](http://purl.obolibrary.org/obo/MONDO_0007079) | alcohol dependence                         | [MONDO:0004938](http://purl.obolibrary.org/obo/MONDO_0004938) | substance dependence         | [ECTO:0001082](http://purl.obolibrary.org/obo/ECTO_0001082) | exposure to alcohol consumption |

See full table [here](https://github.com/monarch-initiative/mondo/blob/master/src/patterns/data/matches/realized_in_response_to_environmental_exposure.tsv) 
